<?php

namespace MintyPHP\Repository\Search;

interface SearchQueryRepositoryInterface
{
    /**
     * @param array<int, mixed> $params
     * @return array<int, mixed>
     */
    public function selectRows(string $sql, array $params = []): array;

    /**
     * @param array<int, mixed> $params
     */
    public function selectCount(string $sql, array $params = []): int;
}
